crc32_tablegen.c File Reference

Generate crc32_table_le.h and crc32_table_be.h. More...

`#include <stdio.h>`
`#include "../../common/tuklib_integer.h"`

## Functions

static void | init_crc32_table (void)
static void | print_crc32_table (void)
static void | print_lz_table (void)
int | main (void)

## Variables

static uint32_t | crc32_table [8][256]

## Detailed Description

Generate crc32_table_le.h and crc32_table_be.h.

Compiling: gcc -std=c99 -o crc32_tablegen crc32_tablegen.c Add -DWORDS_BIGENDIAN to generate big endian table. Add -DLZ_HASH_TABLE to generate lz_encoder_hash_table.h (little endian).